Package org.springframework.security.config.annotation.web.configurers.saml2

# Class Saml2LogoutConfigurer.LogoutResponseConfigurer

java.lang.Object
org.springframework.security.config.annotation.web.configurers.saml2.Saml2LogoutConfigurer.LogoutResponseConfigurer

Enclosing class:
  Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>

public final class Saml2LogoutConfigurer.LogoutResponseConfigurer extends Object

## Method Summary

Modifier and Type
Method
Description
`Saml2LogoutConfigurer<H>`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`Saml2LogoutConfigurer<H>.LogoutResponseConfigurer`
`logoutResponseResolver(org.springframework.security.saml2.provider.service.web.authentication.logout.Saml2LogoutResponseResolver logoutResponseResolver)`
Use this `Saml2LogoutRequestResolver` for producing a logout response to send to the asserting party
`Saml2LogoutConfigurer<H>.LogoutResponseConfigurer`
`logoutResponseValidator(org.springframework.security.saml2.provider.service.authentication.logout.Saml2LogoutResponseValidator authenticator)`
Use this `LogoutHandler` for processing a logout response from the asserting party
`Saml2LogoutConfigurer<H>.LogoutResponseConfigurer`
`logoutUrl(String logoutUrl)`
The URL by which the asserting party can send a SAML 2.0 Logout Response

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### logoutUrl

public Saml2LogoutConfigurer<H>.LogoutResponseConfigurer logoutUrl(String logoutUrl)
The URL by which the asserting party can send a SAML 2.0 Logout Response

The Asserting Party should use whatever HTTP method specified in `RelyingPartyRegistration.getSingleLogoutServiceBindings()`.

Parameters:
  `logoutUrl` - the URL that will receive the SAML 2.0 Logout Response
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutResponseConfigurer` for further customizations
See Also:
  - `Saml2LogoutConfigurer.logoutUrl(String)`

### logoutResponseValidator

public Saml2LogoutConfigurer<H>.LogoutResponseConfigurer logoutResponseValidator(org.springframework.security.saml2.provider.service.authentication.logout.Saml2LogoutResponseValidator authenticator)
Use this `LogoutHandler` for processing a logout response from the asserting party

Parameters:
  `authenticator` - the `AuthenticationManager` to use
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutRequestConfigurer` for further customizations

### logoutResponseResolver

public Saml2LogoutConfigurer<H>.LogoutResponseConfigurer logoutResponseResolver(org.springframework.security.saml2.provider.service.web.authentication.logout.Saml2LogoutResponseResolver logoutResponseResolver)
Use this `Saml2LogoutRequestResolver` for producing a logout response to send to the asserting party

Parameters:
  `logoutResponseResolver` - the `Saml2LogoutResponseResolver` to use
Returns:
  the `Saml2LogoutConfigurer<H extends HttpSecurityBuilder<H>>.LogoutRequestConfigurer` for further customizations

### and

@Deprecated(since="6.1", forRemoval=true) public Saml2LogoutConfigurer<H> and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `Saml2LogoutConfigurer.logoutResponse(Customizer)` or `logoutResponse(Customizer.withDefaults())` to stick with defaults. See the documentation for more details.